ClearData = true;
LinearReduction = 0.001
LinearEpsilon   = 1e-7;

plot_tStep = 100;
dt      = 0.001;
ClearData = true

Distribution = RCB

LinearReduction = 1e-9;
LinearEpsilon   = 1e-12;
LinearVerbose = -1;

ConfigVerbose = 4;

level = 4;
plevel = 4;
plot_tStep = 100;

degradation = 0;
project_pf = 1;
rho2    = 1
mu2     = 0.0000001
sign = 1
T = 2

#dt     = 0.0010000
#dt_min = 0.0001000

dt      = 0.001;
dt_min  = 0.0001;
rkorder = -227
level = 5;
deg = 1;

LinearReduction = 1e-3;
LinearEpsilon   = 1e-7;

#logfile = data/log;
DataPath = data;

sigma_c = 27
W_c = 0.01;
tau_r = 0.00001
l_c = 0.001;
s_min = 0.01;
shift_g = 0.01

mu = 1;
lambda = 2;



dt = 0.001;
dt_min = 0.0001;
T = 1.6


mu = 1.5;
lambda = 1;
angle = 90
height = 1
height2 = 0
scaleAmplitude = 1.025;


mu = 0.5;
lambda = 3;
scaleAmplitude = 1.1;
height = 1;
#angle = 100;
#level = 3;
T = 2.5


Problem = ElasticPhaseFieldArc2;
sigma_c = 34
dt = 0.0005;
level = 4;
deg = 1;
T = 1.5

sigma_c = 1.5;
dt = 0.0005;
level = 4;
deg = 2;
T = 1

#scaleProfile = 0.5;
reversible = 1;
plot_inelastic = 0

angle = 1
dt = 0.0001;
#t0 = 0.053

plot_tStep = 10;
t_max = 0.24;

#scaleAmplitude = 10000;


T = 1;

T = 0.2;
#dt = 0.2;
scaleAmplitude = 1.025;
#plot_tStep = 1;

#t_max = 1;
#ProblemExact = 1;

angle = 1;
height = 0;
width = 0.3;
#t0 = 0.04;
shift = 1.25;
shift2 = -1.03;


sigma_c = 100;

sigma_c = 1.5;
scale_g = 1
shift_g = 0.01

degradation = 0;
project_pf = 1;

T = 0.5

plot_tStep = 10;
dt = 0.001;
level = 3;
deg = 1;


sigma_c = 30000;
W_c = 0.01;
tau_r = 0.00001
tau_r = 0.0025


tau_r = 0.005
plot_tStep = 1;
dt = 0.00025;
level = 4;
deg = 1;
#T = 0.1


#scaleAngle = 25;
scaleAmplitude = 1.25;

#N_bar = 32;
Mesh = Line2_2d_16;
Mesh = Line2_2d_32;
level = 3;

T = 1.5

l_c = 0.001;
sigma_c = 2;
width = 0.25;
shift = 1.25;
shift2 = -1.1;
shift2 = -1;

level = 7;
deg = 1;

plot_tStep = 10;
dt = 0.0001;
t_max = 0.1;


plot_tStep = 500;
dt = 0.00002;
t0 = 0;
T = 2
level = 9;
deg = 3;
l_c = 0.02;
s_min = 0.025;
degradation = 1;
tau_r = 0.001

t0 = 0.5268;
T = 0.7
T = 0.5328
plot_tStep = 20;
dt = 0.00005;
level = 9;
deg = 3;

#Mesh = Line1;
Mesh = Line2;
#rkorder = -2
shift = 1.5;
shift2 = -1;
sigma_c = 1;
#T = 0.001;
t0 = 0.525;
T = 0.543
T = 0.55

level = 7;
deg = 2;

plot_tStep = 1;
dt = 0.001;

Problem = ElasticPhaseFieldArc;
tau_r = 0.01
t0 = 0.0;
T = 0.4
plot_tStep = 10;
dt = 0.001;

level = 9;
deg = 3;
t0 = 0.22;
#T = 0.23
T = 0.2225
plot_tStep = 1;
ProblemExact = 0;
#use_pf_vector = 0;
use_pf_vector = 1;
StressProjection = 0
sigma_c = 2.1
s_min2 = 0;
mu = 1;
lambda = 2;

width = 0.5;
shift = 0.5;

T = 0.4
#dt = 0.001;
#dt = 0.0005;

plot_tStep = 20;
dt = 0.00025;

plot_tStep = 200;
dt = 0.000125;

plot_tStep = 400;
dt = 0.0000625;

RescaleEnergy = 0;

sigma_c = 100000

plot_tStep = 1;
#T = 0.05;
#dt = 0.05;

#level = 0;
level = 9;
#plevel = 3;
deg = 1;
plot_tStep = 10;
#dt = 0.08;
#dt = 0.04;
#dt = 0.02;
#dt = 0.01;
#dt = 0.005;
dt = 0.001;
#dt = 0.0025;
#dt = 0.00125;
#dt = 0.000625;
#dt = 0.000001;
dt = 0.000001;
dt = 0.00000001;


# Model setting

Model = dGElasticity;

# ProblemAcoustic setting

rho = 1.0;
mu = 1;
lambda = 0.25;

#rho2    = 1;
#mu2     = 1;
#lambda2 = 0.25;

rho2    = 1;
mu2     = 0.000001;
lambda2 = 0;

#Mesh = left_trans;
#Mesh = left_per;
#Mesh = left;
#l_c      = 0.00000001;
#eta      = 1;
#eta_stat = 1;
#eta_dyn  = 1;

degradation = 2;
l_c      = 0.001;
eta      = 0.0001;
eta_stat = 0.000001;
eta_dyn  = 0.01;

#Mesh = left_fr_trans;
Mesh = left_fr_per;
Mesh = left_fr;
#X0 = 0;
#X1 = 100;
#Y0 = -0.2;
#Y1 = 0.2;

#shift = -0.25;
#width = 0.25;
#T  = 0.25;
#Problem = ElasticPhaseFieldNeumann;

T  = 0.1;
width = 0.3;
shift = -0.375;
Problem = ElasticPhaseFieldNeumann_p;
ProblemExact = 0;

T  = 0.5;
width = 0.25;
shift = -0.25;
Problem = ElasticPhaseFieldNeumann_s;
  
Pobs = -0.1 0.5;

DebugLevel = 0;
Verbose = 6;
TimeLevel = 3;
vtkplot = 1;
plot_tStep = 1;
TimeSeries = uniform;

#rkorder = 1000; # polynomial Krylov method
#rkorder = 4;    # explicit Runge Kutta
#rkorder = -1; 
#rkorder = -4;    # extrapolated implicit midpoint rule
#rkorder = -2;    # implicit midpoint rule
rkorder = -22;    # implicit midpoint rule

#Preconditioner = LIB_PS;
Preconditioner = PointBlockGaussSeidel; 
Preconditioner = PointBlockJacobi; PointBlockGaussSeidel; LIB_PS;
LinearSolver = GMRES; LS; BiCGStab;
LinearSteps = 10000;
#LinearReduction = 1e-7;
#LinearEpsilon   = 1e-8;
LinearReduction = 1e-3;
LinearEpsilon   = 1e-7;
#LinearVerbose = 1;
#LinearVerbose = 0;
LinearVerbose = -1;
precision = 10;
#precision = 5;
#fixed = 1;
#Distribution = RCB;

Overlap = dG1;

first_receiver = 1 1;
last_receiver = 3 3;
receiver_count = 10;
receive_times = 0 2 0.01; # Starttime Endtime deltaT
measurement_radius = 0.5;
